@echo off
SET FNAME=%1

%HOMEDIR%\logit.exe %LOGDIR%\BACKUP.LOG ".....DreckBak starting Rename/Delete for DriveSet %FNAME%:"
REM ECHO %HOMEDIR% %BACKDIR% %LOGDIR% %BACKDRV% %BACKDIR0% %FNAME% %ZIPDIR%


REM Change to drive and directory where the ZIPS are to be stored
%BACKDRV%
cd\%BACKDIR0%

REM Check for presence of archived zip backup and log if not there 
if exist H-%1Bak.1 goto DELF
%HOMEDIR%\logit.exe %LOGDIR%\backup.log "Archive for %FNAME% does not exist -File Not Deleted"
goto RENF

:DELF
REM    If ZIP file exists (.ZIP), delete the archived (.1) file and log it.
if not exist H-%1Bak.zip goto RENF

if exist H-%1Bak.1 del H-%1Bak.1 /N
%HOMEDIR%\logit.exe %LOGDIR%\backup.log "H-%FNAME%Bak.1 Deleted"


:RENF
REM    Test for existance of ZIP file and log if not there
if exist H-%1Bak.zip goto RENF1

%HOMEDIR%\logit.exe %LOGDIR%\backup.log "H-%FNAME%Bak.zip does not exist -Archive Not Renamed"
goto NORENF


:RENF1
REM   Rename the .ZIP file to .1 and log it
rename H-%1Bak.zip H-%1Bak.1

%HOMEDIR%\logit.exe %LOGDIR%\backup.log "H-%FNAME%Bak.zip renamed to H-%FNAME%Bak.1" 

:NORENF

REM  Start the backup process

%ZIPDIR%\zip.exe -rgSu9Tv -b %TEMP% %BACKDIR%\H-%1Bak.zip %1:\ -x@%HOMEDIR%\test.lst >%LOGDIR%\H-%1Bak. 2>%LOGDIR%\warn%1.log

if errorlevel 18 goto 18
if errorlevel 16 goto 16 
if errorlevel 15 goto 15
if errorlevel 14 goto 14
if errorlevel 13 goto 13
if errorlevel 12 goto 12
if errorlevel 11 goto 11
if errorlevel 10 goto 10
if errorlevel 9 goto 9
if errorlevel 8 goto 8
if errorlevel 7 goto 7
if errorlevel 6 goto 6
if errorlevel 5 goto 5
if errorlevel 4 goto 4
if errorlevel 3 goto 3
if errorlevel 2 goto 2


if errorlevel 0 goto success

:18
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Completed with - Could not open file - error"
%HOMEDIR%\beep.exe 1200 600
%HOMEDIR%\beep.exe 1100 550
%HOMEDIR%\beep.exe 1000 500
%HOMEDIR%\beep.exe 900 450
%HOMEDIR%\beep.exe 800 400
%HOMEDIR%\beep.exe 700 300
goto warn
:16
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Bad Params"
%HOMEDIR%\beep.exe
goto end
:15
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Unable to Create file"
%HOMEDIR%\beep.exe
goto end
:14
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Write Error"
%HOMEDIR%\beep.exe
goto end
:13
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Missing Zip file"
%HOMEDIR%\beep.exe
goto end
:12
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Nothing to Do"
%HOMEDIR%\beep.exe
goto end
:11
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Read Error"
%HOMEDIR%\beep.exe
goto end
:10
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Error with Temp file"
%HOMEDIR%\beep.exe
goto end
:9
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - User Abort"
%HOMEDIR%\beep.exe
goto end
:8
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Out of Memory"
%HOMEDIR%\beep.exe
goto end
:7
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Invalid Comment Format"
%HOMEDIR%\beep.exe
goto end
:6
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Entry too large to be split"
%HOMEDIR%\beep.exe
goto end
:5
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - SEVERE ERROR"
%HOMEDIR%\beep.exe
goto end
:4
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Memory Allocation Error"
%HOMEDIR%\beep.exe
goto end
:3
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Generic Error"
%HOMEDIR%\beep.exe
goto end
:2
%HOMEDIR%\beep.exe
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Failed - Unexpected end of zip file"
%HOMEDIR%\beep.exe
goto end

 

:warn
%HOMEDIR%\logit.exe %LOGDIR%\backup.log "Success w/ warnings for %1"
goto test



:success
%HOMEDIR%\logit.exe %LOGDIR%\backup.log " Backup of %1 Successful"



:test

%ZIPDIR%\unzip.exe -tv %BACKDIR%\h-%1Bak.zip >%LOGDIR%\H-%1Bak.int
if errorlevel 80 goto 80a
if errorlevel 51 goto 51a
if errorlevel 50 goto 50a
if errorlevel 11 goto 11a
if errorlevel 10 goto 10a
if errorlevel 9 goto 9a
if errorlevel 7 goto 7a
if errorlevel 6 goto 6a
if errorlevel 5 goto 5a
if errorlevel 4 goto 4a
if errorlevel 3 goto 3a
if errorlevel 2 goto 2a
if errorlevel 1 goto 1a
if errorlevel 0 goto testgood

:80a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " User abort on %1"
goto end

:51a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - end of zip encountered"
goto end

:50a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - DISK FULL"
goto end

:11a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - no matching files"
goto end

:10a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Invalid Command Line"
goto end

:9a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Zip not found"
goto end

:7a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Mem Allocation error - MEM"
goto end

:6a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Mem Allocation Error - disk"
goto end

:5a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Mem Allocation Error"
goto end

:4a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Mem Allocation Error"
goto end

:3a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Severe Error"
goto end

:2a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Generic Error"
goto end

:1a
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log " Zip File %1 - Success with warnings"
goto FINISH

:testgood
%HOMEDIR%\logit.exe %LOGDIR%\integrity.log "    Zip file %1 is GOOD"

goto FINISH
:end
IF EXIST %1 DEL %1 /N

:finish
